$blue: #3986c0;
$sens: #e6e6e6;

@mixin cbtn {
  padding: 3px 10px;
  color: white;
  font-size: 1.3em;
  background-color: $blue;
  border-style: none;
  margin-top: 1px;
}

.product-card, .brand-card {
  position: relative;
  display: block;
  line-height: 1.42857143;
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 4px;
  margin: 10px 0px;

  .top-badge {
    height: 30px;
    width: 30px;
    float: right;
    color: white;
    background-color: #ba2028;
    text-align: center;
    border-radius: 2px;
    margin-top: -2px;
    margin-right: 10px;
    padding: 4px 0px;
    font-size: 1.3em;
  }

  img, a>img {
    margin-left: auto;
    margin-right: auto;
    max-width: 100%;
  }

  .card-header {
    @include clearfix;
    padding: 10px;
    border-bottom: 1px solid $sens;

    .name {
      float: left;
      font-size: 1.4em;
      overflow-x: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }
  }

  .card-body {
    padding: 10px;
    border-top: 1px solid $sens;
    background-color: white;
    .description {
      font-size: 1em;
      margin-bottom: 10px;
      color: gray;
      overflow-x: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }
  }

  .card-footer {
    @include clearfix;
    background-color: white;
    padding: 10px 10px 0px 10px;
    font-size: 0.8em;
    border-top: 1px solid $sens;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    ul {
      &.stats {
        float: left;
        list-style-type: none;
        padding: 0;
        font-size: 1.3em;
        margin-top: -2px;
        .active-star {
          color: orange;
          float:left;
          display: block;
          margin-left: 5px;
        }

        .inactive-star {
          color: grey;
        }
      }
    }

    .category {
      @include cbtn;
      float: right;
      border-top-left-radius: 3px;
      border-top-right-radius: 3px;
      margin-left: 5px;
    }
  }
}

.card-item {
  width: 240px;
  float: left;
}
